﻿
/*--------------------------------------*/
/*------------ Version 3 ---------------*/
/*--------------------------------------*/

body {
  background-color: #F3F3F3;
    }

.mastercebecera{
    padding: 0px;
    margin:0px;
    width: 100%;
    top: 0px;
    left:0px;
}
.espaciadorinicial{height: 100px;}

/* ---------------- IMAGENES ----------------*/
.LogoCtes
    {width: 100%;
    min-width: 80px;
    max-width: 220px;
    }
.LogoSIMA 
    {width: 100%;
    min-width: 100px;
    max-width: 160px;
    }
 /* ---------------- FUENTE ----------------*/
.FuenteTamañoGrande
{
    font-size: min(3vw, 30px);
}
.FuenteTamañoMedio
{
    font-size: min(2.1vw, 18px);
}
.FuenteTamañoChico
{
    font-size: min(2.2vw, 12px);
}
/* ---------------- SOMBRAS  ----------------*/
        .SombraHaciaAbajo 
        {
           background: linear-gradient(to bottom,  #ccc,  #f3f3f3); 
        }
         .SombraHaciaArriba 
        {
	        background: linear-gradient(to top,  #ccc,  #f3f3f3); 
	
        }
        .SombraHaciaIzquierda 
        {
            background: linear-gradient(to left,  #f3f3f3,  #fff);  	
        }
          .SombraHaciaDerecha
        {
            background: linear-gradient(to right, #f3f3f3,  #fff);	
        }
           .VerdeHaciaDerecha
        {
            background: linear-gradient(to right,  #CCFF66,  #fff);	
        }
              .VerdeHaciaIzquierda
        {
            background: linear-gradient(to left,  #CCFF66,  #fff);	
        }
          .VerdeHaciaArriba
        {
            background: linear-gradient(to top,  #CCFF66,  #fff);	
        }
/* ---------------- MARCOS ESQUINAS REDONDEADAS ----------------*/
.nombreModulo {
            border: 2px solid #7fb850;
    border-radius: 8px;
            text-align:center;
    margin-left: 8px;
}
.nombreModuloCelu {
            border: 2px solid #7fb850;
    border-radius: 8px;
            text-align:center;
}
/* ---------------- BOTONES ----------------*/
       .boton 
           {
            border: 2px solid #356F23;
            border-radius: 10px; 
            background-color: #f3f3f3; 
            color: #356F23; 
            transition-duration: 0.4s;
            margin-right: 11px;
            margin-top: 7px;
            margin-bottom: 8px;
            margin-left: 11px;
        } 
       .boton:hover 
            {
             background-color: #356F23;
             color: white;
             cursor: pointer;    
             }
        .botonDeshabilitado
           {
            border: 2px solid #999999;
            border-radius: 10px; 
            background-color: #f3f3f3; 
            color: #999999; 
            margin-right: 11px;
            margin-top: 7px;
            margin-bottom: 8px;
            margin-left: 11px;
        } 

        .botoncito
           {
            border: 2px solid #356F23;
            border-radius: 4px; 
            background-color: #f3f3f3; 
            color: #356F23; 
            transition-duration: 0.4s;
        } 
        .botoncito:hover 
            {
             background-color: #356F23;
             color: white;
             cursor: pointer;    
             }

.botonSolo {
    width: 50px;
    height: 50px;
    padding: 0px;
    margin:0px;
    transition-duration: 0.2s;
    text-align:center;
    display:inline-block;
}
.botonSolo:hover 
{
    background-color: #EEEEEE;
    box-shadow: 0px 0px 13px 3px #EEEEEE;
}
.botonmenu {
    width: 150px;
    height: 150px;
    color: #333;
    background-color: #EAEAEA;
    overflow: hidden;
    transition-duration: 0.2s;
    text-align:center;
}
.botonmenu:hover 
{
    background-color: #FFFFFF;
    box-shadow: 0px 0px 40px 3px #356F23 inset;

}
.botonpanel{
        background-color: #e6e6e6;
        display:inline-block;
}
.botonpanel:hover {
        color: #222;
        background-color: #C2E3B2;
        border-color: #C2E3B2;
}
   .botonAntiguo {
    transition-duration: 0.2s;
}
.botonAntiguo:hover 
{
    box-shadow: 0px 0px 10px 5px #FFFFFF;
    cursor: pointer;    
}
      .botoncatalogo 
           {
            border: 2px solid #000000;
            border-radius: 10px; 
            background-color: #f0f0f0; 
            color: #000000; 
            transition-duration: 0.3s;
            margin-left: 5px;
            margin-right: 5px;
            margin-top: 7px;
            margin-bottom: 11px;
        } 
       .botoncatalogo:hover 
            {
             /*background-color: #7fb850;
             color: white;*/
             box-shadow: 0px 0px 10px 5px #356F23;
             cursor: pointer;
             }
      .botoncatalogoSeleccionado
           {
            border: 2px solid #356F23;
            border-radius: 10px; 
            background-color: #356F23; 
            color: #ffffff; 
            margin-left: 5px;
            margin-right: 5px;
            margin-top: 7px;
            margin-bottom: 11px;
        } 
       .botoncatalogoSeleccionado:hover 
            {
             /*background-color: #7fb850;
             color: white;*/
             box-shadow: 0px 0px 5px 3px #356F23;
             border: 2px solid #FFFFFF;
             cursor: pointer;
             }
    
/* ---------------- LISTAS ----------------*/
.Listas{width: 1000px;}
.ListasDesplegables{width: 860px;}

/* ---------------- PANELES ----------------*/
.PanelEsquinaRedondeada 
    {
    border-radius: 20px;
    border-style:  solid; 
    border-color:#356F23; 
    border-width:2px 
    }
  .PanelSombraNegra{  
    border-style:  solid; 
    border-color:#356F23; 
    border-width:2px; 
    border-radius: 10px;
    box-shadow: 0px 0px 10px 5px #888888;
    }

.paneles{
    width: 1000px;
    text-align:left;
    }
.paneles30{
    width: 32%; 
    vertical-align:top;
    display:inline-block;
}
.paneles50{
    width: 48%; 
    vertical-align:top;
    display:inline-block;
}
.paneles60{
    width: 58%; 
    vertical-align:top;
    display:inline-block;
}
.paneles80{
    width: 79%; 
    vertical-align:top;
    display:inline-block;
}
.paneles75{
    width: 74%; 
    vertical-align:top;
    display:inline-block;
}
.paneles20{
    width: 20%; 
    vertical-align:top;
    display:inline-block;
}
.paneles25{
    width: 24%; 
    vertical-align:top;
    display:inline-block;
}
.panelInferior{
    position: fixed;
    left: 0px;
    padding:0px;
    margin:0px;
    width:100%;
    bottom:0px;
}
.panelSuperiorControles{
}
.panelesHasta1400px{ 
    width: 97%;
    max-width: 1400px;
   }
.panelesHasta1200px{ 
    width: 97%;
    max-width: 1200px;
   }
.panelesHasta1100px{ 
    width: 97%;
    max-width: 1100px;
   }
.panelesHasta1000px{ 
    width: 97%;
    max-width: 1000px;
   }
.panelesHasta900px{ 
    width: 97%;
    max-width: 900px;
   }
.panelesHasta800px{ 
    width: 97%;
    max-width: 800px;
   }
.panelesHasta700px{ 
    width: 97%;
    max-width: 700px;
   }
.panelesHasta600px{ 
    width: 97%;
    max-width: 600px;
   }
 .panelesHasta400px{ 
    width: 97%;
    max-width: 400px;
   }
/*----------------CUADRO DE TEXTO -----------------*/
*,
*::before,
*::after {
  margin: 0px;
  padding: 0;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

.CuadroTexto {
  position: relative;
  width: 20rem;
  height: 2.2rem;
}

.CuadroTexto__input {
  position: absolute;
  top: 0;
  left: 0px;
  width: 100%;
  height: 100%;
  border: 2px solid #356F23;
  border-radius: 0.5rem;
  font-family: inherit;
  font-size: inherit;
  outline: none;
  padding: 1rem;
  background: white;
}

.CuadroTexto__input:hover {
  border-color: #7FB850;
}

.CuadroTexto__input:focus {
  border-color: #7FB850;
}

.CuadroTexto__label {
  position: absolute;
  left: 0.5rem;
  top: 0.5rem;
  padding: 0 0.1rem;
  color: #666666;
  cursor: text;
  -webkit-transition: top 200ms ease-in, left 200ms ease-in,
    font-size 200ms ease-in;
  transition: top 200ms ease-in, left 200ms ease-in, font-size 200ms ease-in;
  background-color: #FFFFFF;
}

.CuadroTexto__input:focus ~ .CuadroTexto__label,
.CuadroTexto__input:not(:placeholder-shown).CuadroTexto__input:not(:focus) ~ .CuadroTexto__label {
  top: -0.5rem;
  font-size: 0.8rem;
  left: 0.8rem;
  color: #7FB850;
}
/*------------------*/
.CuadroTexto_Solo {
  position: relative;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
  border: 2px solid #356F23;
  border-radius: 0.5rem;
  font-family: inherit;
  font-size: inherit;
  outline: none;
  background: white;
}
 .CuadroTextoEsquinaRedondeada{  
    box-sizing: padding-box;
    padding: 7px;
    margin-right: 5px;
    margin-top: 5px;
    margin-bottom: 5px;
    margin-left: 5px;

    border-radius: 6px;
    border: 1px solid #808080;
    }
.CuadroTextoMultilinea
{
    box-sizing: padding-box;
    padding: 7px;
    margin-right: 5px;
    margin-top: 5px;
    margin-bottom: 5px;
    margin-left: 5px;
    border-radius: 6px;
    border: 1px solid #808080;
    }   
.TxtCreceSombraVerde{  
        display: block;
        box-sizing: padding-box;
    overflow: hidden;
    padding: 10px;
    font-size: 12px;
    margin: 5px auto;
    border-radius: 6px;
    box-shadow: 0px 0px 10px 5px #CCFF66;
    border: 0;
    }
.TxtCreceSombraRoja{  
        display: block;
        box-sizing: padding-box;
    overflow: hidden;
    padding: 10px;
    font-size: 12px;
    margin: 5px auto;
    border-radius: 6px;
    box-shadow: 0px 0px 10px 5px #FFAEAE;
    border: 0;
    }
    .TxtCreceSombraNegra{  
        display: block;
        box-sizing: padding-box;
    overflow: hidden;
    padding: 10px;
    font-size: 12px;
    margin: 5px auto;
    border-radius: 6px;
    box-shadow: 0px 0px 10px 5px #888888;
    border: 0;
    }
    
/* ---------------- COMBO --------------------------- */

.CuadroCombo {
  position: relative;
  width: 20rem;
  height: 2.2rem;
}
select {
   -webkit-appearance:none;
   -moz-appearance:none;
   -ms-appearance:none;
   appearance:none;
   outline:0;
   box-shadow:none;
   border: 2px solid #356F23;
   border-radius: 0.5rem;
   background: #FFFFFF;
   background-image: none;
   flex: 1;
   padding: 0 .5em;
   color:#000000;
   cursor:pointer;
   font-size: 1em;
   font-family: inherit;
}
select::-ms-expand {
   display: none;
}
.select {
   position: relative;
   display: flex;
   width: 20em;
   height: 2em;
   line-height: 3;
   background: #FFFFFF;
   overflow: hidden;
   border-radius: 0.5rem;

}
.select::after {
   content: '\25BC';
   font-size: 12px;
   position: absolute;
   top: 0;
   right: 0;
   padding: 0 1em;
  background: #356F23;
   color: #000000;
   cursor:pointer;
   pointer-events:none;
   transition:.25s all ease;
}
.select:hover::after {
    background: #356F23;
   color: #FFFFFF;
}
.Combo_label 
{
  position: absolute;
  left  : 0.8rem;
  top: -0.5rem;
  font-size: 0.8rem;
  color: #356F23;
  cursor: text;
  background-color: #FFFFFF;
}
/* ---------------- INTERFACE ----------------*/
/*---------- Modo PC ------------*/
@media (min-width: 750px) {
.soloPC{visibility:visible;}
.soloCelu{visibility:hidden;}
.panelInferior{display:none;}
.nombreModuloCelu{display:none;}
.panelSuperior{display:block;}
.ColumnaSoloCelu{display:none;}
}

/*---------- Modo Celular ------------*/
@media (max-width: 750px) {
.nombreModulo{display:none;}
.botonmenu {width: 97%;}
.botonPANEL {width: 100%;}
.espaciadorinicial{height: 0px;}
.paneles{width: 97%;}
.paneles20{width: 97%;}
.paneles25{width: 97%;}
.paneles30{width: 97%;}
.paneles50{width: 97%;}
.paneles60{width: 97%;}
.paneles75{width: 97%;}
.paneles80{width: 97%;}
.ListasDesplegables{width: 240px;}
.Listas{width: 100%;}
.soloPC{visibility:hidden;}
.soloCelu{visibility:visible;}
.ColumnaSoloPC{display:none;}
}

